Subject: Re: [PATCH v7 00/19] Introduce an internal API to interact with the fsck machinery

From: Junio C Hamano <[email-masked]>
Date: Mon, 22 Jun 2015 11:02:21 -0700

Johannes Schindelin <[email-masked]> writes:

> Changes since v6:
> 
> - camelCased message IDs
>
> - multiple author checking now as suggested by Junio
>
> - renamed `--quick` to `--connectivity-only`, better commit message
>
> - `fsck.skipList` is now handled correctly (and not mistaken for a message
>   type setting)
>
> - `fsck.skipList` can handle user paths now
>
> - index-pack configures the walk function in a more logical place now
>
> - simplified code by avoiding working on partial strings (i.e. removed
>   `substrcmp()`). This saves 10 lines. To accomodate parsing config
>   variables directly, we now work on lowercased message IDs; unfortunately
>   this means that we cannot use them in append_msg_id() because that
>   function wants to append camelCased message IDs.
>
> Interdiff below diffstat.

Except for minor nits I sent separate messages, this round looks
very nicely done (I however admit that I haven't read the skiplist
parsing code carefully at all, expecting that you wouldn't screw up
with something simple like that ;-))

Thanks, will replace what is queued.  Let's start thinking about
moving it down to 'next' (meaning: we _could_ still accept a reroll,
but I think we are in a good shape and minor incremental refinements
would suffice), cooking it for the remainder of the cycle and having
it graduate to 'master' at the beginning of the next cycle.

Thanks.